# Uses of Interface
org.apache.sysds.runtime.codegen.SpoofCUDAOperator

Packages that use SpoofCUDAOperator
Package
Description
org.apache.sysds.runtime.codegen
org.apache.sysds.runtime.instructions.gpu

## Uses of SpoofCUDAOperator in org.apache.sysds.runtime.codegen

Classes in org.apache.sysds.runtime.codegen that implement SpoofCUDAOperator
Modifier and Type
Class
Description
`class`
`SpoofCUDACellwise`
`class`
`SpoofCUDARowwise`
Methods in org.apache.sysds.runtime.codegen that return SpoofCUDAOperator
Modifier and Type
Method
Description
`SpoofCUDAOperator`
SpoofCellwise.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`SpoofCUDAOperator`
SpoofMultiAggregate.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`abstract SpoofCUDAOperator`
SpoofOperator.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`SpoofCUDAOperator`
SpoofOuterProduct.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`SpoofCUDAOperator`
SpoofRowwise.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
Methods in org.apache.sysds.runtime.codegen with parameters of type SpoofCUDAOperator
Modifier and Type
Method
Description
`abstract int`
SpoofCUDAOperator.PrecisionProxy.`exec(SpoofCUDAOperator op)`

## Uses of SpoofCUDAOperator in org.apache.sysds.runtime.instructions.gpu

Methods in org.apache.sysds.runtime.instructions.gpu with parameters of type SpoofCUDAOperator
Modifier and Type
Method
Description
`int`
SpoofCUDAInstruction.DoublePrecision.`exec(SpoofCUDAOperator op)`
`int`
SpoofCUDAInstruction.SinglePrecision.`exec(SpoofCUDAOperator op)`